#ifndef XPKMASTER_TEXTS_C
#define XPKMASTER_TEXTS_C

/* Routinesheader

	Name:		texts.c
	Main:		xpkmaster
	Versionstring:	$VER: texts.c 1.5 (21.01.1998)
	Author:		SDI
	Distribution:	Freeware
	Description:	all library texts

 1.0   07.10.96 : first real version
 1.1   28.12.96 : added password requester strings
 1.2   09.03.97 : a new string
 1.3   31.03.97 : moved unknown error into err field
 1.4   19.12.97 : code cleanup
 1.5   21.01.98 : added new texts
 1.6   21.02.98 : renamed from xpk_strings.c
*/

#include <exec/types.h>
#include "texts.h"

STRPTR strings[LOCALE_STRINGCNT] = {
"Packing",
"Packed",
"Unpacking",
"Unpacked",
"Reading",
"Read",
"Aborted",
"Enter password",
"Enter %ld bit key",
"preferences setable packing and encrypting.",
"Retype for verification",
};

STRPTR XpkErrs[LOCALE_ERRSTRINGCNT] =
{
  "OK",
  "Feature not implemented in selected library",
  "Function may not be used with files",
  "Error reading input",
  "Error writing output",
  "Check sum failure",		/* 5 */
  "Library too old for this file",
  "Out of memory",
  "Library already in use",
  "Can't find decompressor for this format",
  "Output buffer too small",	/* 10 */
  "Input buffer too large",
  "This packing mode not supported",
  "Password required",
  "Input file is corrupt",
  "Can't find required XPK library",	/* 15 */
  "Bad internal parameters",
  "Data cannot be compressed",
  "Requested compression method not found",
  "Operation aborted by user",
  "Input file truncated",	/* 20 */
  "MC68020 or better required",
  "Data already compressed",
  "Data not compressed",
  "Output file already exists",
  "Master library too old",	/* 25 */
  "Sub library too old",
  "This library cannot encrypt",
  "Can't get info",
  "This compression method is lossy",
  "Compression hardware required",	/* 30 */
  "Compression hardware failed",
  "Password incorrect",
  "Unknown error",
  "Automatic request time out",
};

#endif /* XPKMASTER_TEXT_C */
