#ifndef XPKMASTER_TEXTS_H
#define XPKMASTER_TEXTS_H

/* Includeheader

	Name:		texts.h
	Main:		xpkmaster
	Versionstring:	$VER: texts.h 1.6 (21.02.1998)
	Author:		SDI
	Distribution:	Freeware
	Description:	Defines for all texts of the library

 1.0   07.10.96 : first real version
 1.1   28.12.96 : added password requester strings
 1.2   09.03.97 : a new string
 1.3   31.03.97 : removed obsolete defines
 1.4   20.12.97 : added SUBLIBNAME defines
 1.5   21.01.98 : added new texts
 1.6   21.02.98 : renamed from xpk_strings.h
*/

#define LOCALE_STRINGCNT		 11
#define LOCALE_STRINGSTART		  0
#define LOCALE_ERRSTRINGCNT		 35
#define LOCALE_ERRSTRINGSTART		200

#define MINERROR (1-LOCALE_ERRSTRINGCNT)

extern STRPTR strings[LOCALE_STRINGCNT];
extern STRPTR XpkErrs[LOCALE_ERRSTRINGCNT];

#define SUBLIBNAME_STRING	"compressors/xpk%.4s.library"
#define SUBLIBNAME_SIZE		28

#define TXT_PACKING_UPPER		  0
#define TXT_PACKED			  1
#define TXT_UNPACKING_UPPER		  2
#define TXT_UNPACKED			  3
#define TXT_READING			  4
#define TXT_READ			  5
#define TXT_ABORTED			  6

#define TXT_REQ_PASSWORD		  7
#define TXT_REQ_KEY			  8
#define TXT_USER_DESCRIPTION		  9
#define	TXT_VERIFY_PASS			 10

#endif /* XPKMASTER_TEXTS_H */
