#ifndef XPKMASTER_ALL_C
#define XPKMASTER_ALL_C

/* Programmheader

	Name:		All.c
	Main:		xpkmaster
	Versionstring:	$VER: All.c 1.3 (13.09.1998)
	Author:		SDI
	Distribution:	Freeware
	Description:	the xpk packing library system

 1.0   28.10.96 : first SDI version
 1.1   19.12.97 : fixed local base method
 1.2   09.01.98 : removed util.c
 1.3   21.02.98 : changed xpk_strings.c to texts.c
 1.4   13.09.98 : added seek.c
*/

#ifdef __MAXON__
  #include "SDI_xpksub.h"
  #define _PROTO_XPKSUB_H		/* these lines disable loading	*/
  #define _PROTO_XFDMASTER_H		/* of proto files		*/
#endif

#define XPK_ALLINONE	static

#include "xpkmaster.c"
#include "texts.c"
#include "query.c"
#include "checksum.c"
#include "fault.c"
#include "fib.c"
#include "hook.c"
#include "hook_fh.c"
#include "hook_mem.c"
#include "objects.c"
#include "xbuf.c"
#include "open.c"
#include "password.c"
#include "progress.c"
#include "seek.c"
#include "sublibs.c"
#include "tags.c"

#endif /* XPKMASTER_ALL_C */
