#ifndef XPKMASTER_VERSION_C
#define XPKMASTER_VERSION_C

/* Programmheader

	Name:		version.c
	Main:		xpkmaster
	Versionstring:	$VER: version.c 5.2 (08.09.1999)
	Author:		SDI
	Distribution:	Freeware
	Description:	the xpk packing library system version data

 3.10  28.10.96 : first real version
 3.11  25.11.95 : recompiled with SAS 6.57
 4.0   29.12.96 : added some new functions, OS2.0 only, corrected error in
	locale handling (Ooops - (A2) instead of A2 :-)
 4.1   11.01.97 : hopefully fixed buffer overworking bug
 4.2   30.01.97 : mem bug still was not completely fixed
 4.3   01.03.97 : changed semaphore structure
 4.4   09.03.97 : added preferences stuff
 4.5   23.03.97 : fixed Enforcer Hits
 4.6   28.03.97 : fixed prefs stuff
 4.7   31.03.97 : changed XpkQuery and Password stuff
 4.8   02.04.97 : changed a lot, removed some stuff
 4.9   03.04.97 : preferences buffers now via hookread and not direct
 4.10  04.04.97 : minor fixes
 4.11  10.04.97 : Password request now restores FirstScreen
 4.12  28.04.97 : fixed mem-corrupt bug and changed progress time calc
 4.13  11.05.97 : fixed reported errors in Expunge code
 4.14  06.06.97 : added DEBUG output
 4.15  18.08.97 : changed RecogFunc interface a bit
 4.16  21.08.97 : did a big mistake in version 4.15 (USER mode did not work)
 4.17  15.10.97 : PassRequest now uses timer.device
 4.18  07.11.97 : TimeOut of 0 now means again no timeout
 4.19  19.12.97 : added xfdmaster support, code cleanup and changes
 4.20  27.12.97 : fixed bug in Autopassword and added title line to passreq
 4.21  01.01.98 : USER information is a bit better now
 4.22  09.01.98 : added ability to pass decrunch keys, PassRequest uses
	gadtools now and show stars
 4.23  18.01.98 : added 2 new password flags
 4.24  21.01.98 : added password verification
 4.25  24.01.98 : fixed xfdmaster support a bit, removed PP support
 4.26  27.01.98 : brings better errors in USER mode
 4.27  17.02.98 : fixed pack problem with long-files
 4.28  21.02.98 : inserted C library startup header
 4.29  24.02.98 : fixed long files bug finally, xm_Next is cleared for
 	queries now.
 4.30  03.03.98 : removed Enforcer hit in XpkQuery function
 4.31  26.03.98 : some code optimizations
 4.32  29.04.98 : bugfix in XpkQuery
 4.33  09.05.98 : bug fixes, now uses cached SysBase
 4.34  26.08.98 : fixed problem, when using XpkWrite directly
 5.0   30.10.98 : added Seek function, xfib->xf_UCur and xfib->xf_CCur
	showed always data of next chunk (fixed)
 5.1   12.03.99 : fixed progress report for large files
 5.2   08.09.99 : fixed problem with Niels Froehling libraries and Query
*/

#define VERSION   5
#define REVISION  2
#define LIBNAME  "xpkmaster.library"
#ifdef DEBUG
#define ADDTXT	" debug version"
#else
#define ADDTXT
#endif

#define IDSTRING "xpkmaster 5.2 (08.09.1999)" ADDTXT "\r\n"

#endif /* XPKMASTER_VERSION_C */
